radiorecorder(1)

NAME
radiorecorder - record or play internet radio streams

SYNOPSIS
radiorecorder [options] name-or-url [...]

DESCRIPTION
The radiorecorder command consumes one or more internet radio streams and either records them to files, plays them locally or using a Chromecast device.

OPTIONS

name-or-url
    Specifies the internet radio station(s) to use. Can either be the name of a internet radio station as it can be found on the service <http://www.radio-browser.info/> or an URL of a internet radio station stream.

-c, -cast cast-device
    Play the internet radio stream on the named cast-device. A list of available Chromecast devices can be retrieved with the -L option.

-d, -directory directory
    Specifies the target directory to write the streams to.

-h, -help
    Show the command line help of the program.

-L, -list-cast
    Lists the available Chromecast devices. Will listen to new Chromecast devices until interruption. Needs to be interrupted with CTRL-C.

-M, -min-free megs
    Keep the given number of megs mega bytes of disk space free. Defaults to 512.

-p, -play
    Plays the stream to the local audio facility using Java Media Framework. You can listen to music on your computer with this option. Note that this program is not designed to be a music player.

-r, -reconnect
    Automatically reconnect after connection loss.

-t, -timeout secs
    Connect or read timeout in seconds.

-S, -use-songnames
    Use the song names that were eventually sent in the stream and name the output files according to the retrieved song names.

COPYRIGHT
Copyright © 2017 Stephan Fuhrmann Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at
    <http://www.apache.org/licenses/LICENSE-2.0>
Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

REPORTING BUGS
Please file an issue at: <https://github.com/sfuhrm/radiorecorder/issues>

SEE ALSO
The project lives at: <https://github.com/sfuhrm/radiorecorder>